Bug 121763 - Show cd's own icon on desktop when mounting it.
Show cd's own icon on desktop when mounting it.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-27 12:21 EDT by Alexandre Strube
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 07:42:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Strube 2004-04-27 12:21:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040124

Description of problem:
When a cd is automounted on gnome's desktop, it would be nice if it
could read the autorun.inf file and change the cd's icon to the one
indicated by it, the same way it happens on windows.

I know gnome can run the linux's autorun file, but it ignores the
autorun.inf.


Version-Release number of selected component (if applicable):
nautilus-2.4.0-7

How reproducible:
Always

Steps to Reproduce:
1. Insert a cd containing a icon and with a autorun.inf saying:
"icon=blabla"
2. Wait for cd to be auto-mounted
3. The icon is a plain cd.
    

Actual Results:  Nothing. It mounts normally, but the icon is not changed.

Expected Results:  The icon be the .ico file pointed in autorun.inf.

Additional info:
Comment 1 Alexander Larsson 2004-10-05 07:42:36 EDT
Thanks for the bug report.  At the moment, the Fedora developers don't
have
time to work on this particular issue. The best way to make sure your
problem
will get looked on is to report it to the authors of the program. Most 
upstream authors use a bug tracking system like bugzilla, and more people
who know the code will be looking at the bug report there.

I have filed this bug for you at:
http://bugzilla.gnome.org/show_bug.cgi?id=154549

If you want to follow what happens to the bug, you can add yourself to
the upstream report.

Note You need to log in before you can comment on or make changes to this bug.